import { TagActionType, TagValueTypes } from './data-view-enums';
import { Font } from '../../enlighten-lib/report/graphical-report/chart/font';
import { Coordinate } from './coordinate';
import { TagStyle } from './tag-style';
export declare class AxoTag {
    id: number;
    value: string;
    valueStyle: Font;
    prefixValue: string;
    prefixValueStyle: Font;
    location: Coordinate;
    colSpan: number;
    rowSpan: number;
    action: TagActionType;
    tagStyle: TagStyle;
    valueType: TagValueTypes;
    constructor(axoTag?: AxoTag);
    axoTag(axoTag: AxoTag): void;
    newAxoTag(): void;
    /**function to create Axotag object with existing values
   *
   *@param axoTag
   *
   */
    static createAxoTag(axoTag: Array<AxoTag>): Array<AxoTag>;
}
